| v_hdmirx1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XV_HdmiRx1 Struct Reference

The XHdmiRx1 driver instance data. More...

## Data Fields
XV_HdmiRx1_Config | Config
| Hardware Configuration. More...
u32 | IsReady
| Core and the driver instance are initialized. More...
XV_HdmiRx1_Callback | ConnectCallback
| Callback for connect event interrupt. More...
void * | ConnectRef
| To be passed to the connect interrupt callback. More...
XV_HdmiRx1_Callback | AuxCallback
| Callback for AUX event interrupt. More...
void * | AuxRef
| To be passed to the AUX interrupt callback. More...
XV_HdmiRx1_Callback | AudCallback
| Callback for AUD event interrupt. More...
void * | AudRef
| To be passed to the Audio interrupt callback. More...
XV_HdmiRx1_Callback | LnkStaCallback
| Callback for LNKSTA event interrupt. More...
void * | LnkStaRef
| To be passed to the LNKSTA interrupt callback. More...
XV_HdmiRx1_Callback | DdcCallback
| Callback for PDDC interrupt. More...
void * | DdcRef
| To be passed to the DDC interrupt callback. More...
XV_HdmiRx1_Callback | StreamDownCallback
| Callback for stream down callback. More...
void * | StreamDownRef
| To be passed to the stream down callback. More...
XV_HdmiRx1_Callback | StreamInitCallback
| Callback for stream init callback. More...
void * | StreamInitRef
| To be passed to the stream start callback. More...
XV_HdmiRx1_Callback | StreamUpCallback
| Callback for stream up callback. More...
void * | StreamUpRef
| To be passed to the stream up callback. More...
XV_HdmiRx1_HdcpCallback | HdcpCallback
| Callback for hdcp callback. More...
void * | HdcpRef
| To be passed to the hdcp callback. More...
XV_HdmiRx1_Callback | Hdcp14ProtEvtCallback
| Callback for hdcp 1.4 protocol event written on the ddc. More...
void * | Hdcp14ProtEvtRef
| To be passed to the hdcp 1.4 protocol event callback. More...
XV_HdmiRx1_Callback | Hdcp22ProtEvtCallback
| Callback for hdcp 2.2 protocol event written on the ddc. More...
void * | Hdcp22ProtEvtRef
| To be passed to the hdcp 2.2 protocol event callback. More...
XV_HdmiRx1_Callback | LinkErrorCallback
| Callback for link error callback. More...
void * | LinkErrorRef
| To be passed to the link error callback. More...
XV_HdmiRx1_Callback | BrdgOverflowCallback
| Callback for bridge overflow callback. More...
void * | BrdgOverflowRef
| To be passed to the bridge overflow callback. More...
XV_HdmiRx1_Callback | SyncLossCallback
| Callback for sync loss callback. More...
void * | SyncLossRef
| To be passed to the link error callback. More...
XV_HdmiRx1_Callback | ModeCallback
| Callback for sync loss callback. More...
void * | ModeRef
| To be passed to the link error callback. More...
XV_HdmiRx1_Callback | TmdsClkRatioCallback
| Callback for TMDS clock ratio change. More...
void * | TmdsClkRatioRef
| To be passed to the TMDS callback. More...
XV_HdmiRx1_Callback | VicErrorCallback
| Callback for Vic error detection. More...
void * | VicErrorRef
| To be passed to the vic error callback. More...
XV_HdmiRx1_Callback | PhyResetCallback
| Callback for Phy Reset. More...
void * | PhyResetRef
| To be passed to the phy reset callback. More...
XV_HdmiRx1_Callback | LnkRdyErrorCallback
| Callback for Link Ready Error detection. More...
void * | LnkRdyErrorRef
| To be passed to the link ready error callback. More...
XV_HdmiRx1_Callback | VidRdyErrorCallback
| Callback for Video Ready Error detection. More...
void * | VidRdyErrorRef
| To be passed to the video ready error callback. More...
XV_HdmiRx1_Callback | SkewLockErrorCallback
| Callback for Skew Lock Error detection. More...
void * | SkewLockErrorRef
| To be passed to the skew lock error callback. More...
XV_HdmiRx1_Callback | FrlConfigCallback
| Callback for sync loss callback. More...
void * | FrlConfigRef
| To be passed to the link error callback. More...
XV_HdmiRx1_Callback | FrlStartCallback
| Callback for sync loss callback. More...
void * | FrlStartRef
| To be passed to the link error callback. More...
XV_HdmiRx1_Callback | TmdsConfigCallback
| Callback for sync loss callback. More...
void * | TmdsConfigRef
| To be passed to the link error callback. More...
XV_HdmiRx1_Callback | FrlLtsLCallback
| Callback for sync loss callback. More...
void * | FrlLtsLRef
| To be passed to the link error callback. More...
XV_HdmiRx1_Callback | FrlLts1Callback
| Callback for sync loss callback. More...
void * | FrlLts1Ref
| To be passed to the link error callback. More...
XV_HdmiRx1_Callback | FrlLts2Callback
| Callback for sync loss callback. More...
void * | FrlLts2Ref
| To be passed to the link error callback. More...
XV_HdmiRx1_Callback | FrlLts3Callback
| Callback for sync loss callback. More...
void * | FrlLts3Ref
| To be passed to the link error callback. More...
XV_HdmiRx1_Callback | FrlLts4Callback
| Callback for sync loss callback. More...
void * | FrlLts4Ref
| To be passed to the link error callback. More...
XV_HdmiRx1_Callback | FrlLtsPCallback
| Callback for sync loss callback. More...
void * | FrlLtsPRef
| To be passed to the link error callback. More...
XV_HdmiRx1_Callback | VfpChangeCallback
| Callback for VFP change callback. More...
void * | VfpChangeRef
| To be passed to the vfp change callback. More...
XV_HdmiRx1_Callback | VrrRdyCallback
| Callback for VRR ready callback. More...
void * | VrrRdyRef
| To be passed to the VRR ready callback. More...
XV_HdmiRx1_Callback | DynHdrCallback
| Callback for Dynamic HDR event. More...
void * | DynHdrRef
| To be passed to Dynamic HDR event callback. More...
XV_HdmiRx1_Callback | DSCStreamChangeEventCallback
| Callback for DSC stream change event. More...
void * | DSCStrmChgEvtRef
| To be passed to DSC Stream change event callback. More...
XV_HdmiRx1_Callback | DSCPktErrCallback
| Callback for DSC PPS packet error event. More...
void * | DSCPktErrRef
| To be passed to DSC PPS packet error event callback. More...
XV_HdmiRx1_Callback | DSCStsUpdtEvtCallback
| Callback for SCDC reg 0x10 bit 0 Status_Update bit set from Source event. More...
void * | DSCStsUpdtEvtRef
| To be passed to Status_Update bit set event callback. More...
XV_HdmiRx1_Stream | Stream
| HDMI RX stream information. More...
XHdmiC_Aux | Aux
| AUX peripheral information. More...
u32 | AudCts
| Audio CTS. More...
u32 | AudN
| Audio N element. More...
XV_HdmiRx1_AudioFormatType | AudFormat
| Audio Format. More...
XV_HdmiC_VrrInfoFrame | VrrIF
| VRR infoframe SPDIF or VTEM. More...
u8 | DBMessage
| Debug Message for Logs. More...
u16 | IsErrorPrintCount
| Error Print is completed. More...
u8 | SubsysVidIntfc
| Video Interface 0 - AXI4S, 1 - Native, 2 - Native DE. More...
XVidC_PixelsPerClock | SubsysPpc
| Subsystem Pixels per clock. More...

## Detailed Description

The XHdmiRx1 driver instance data.

An instance must be allocated for each HDMI RX core in use.

## Field Documentation

XV_HdmiRx1_Callback XV_HdmiRx1::AudCallback

Callback for AUD event interrupt.

Referenced by XV_HdmiRx1_CfgInitialize(), and XV_HdmiRx1_SetCallback().

u32 XV_HdmiRx1::AudCts

Audio CTS.

Referenced by XV_HdmiRx1_Clear().

XV_HdmiRx1_AudioFormatType XV_HdmiRx1::AudFormat

Audio Format.

Referenced by XV_HdmiRx1_Clear().

u32 XV_HdmiRx1::AudN

Audio N element.

Referenced by XV_HdmiRx1_Clear().

void* XV_HdmiRx1::AudRef

To be passed to the Audio interrupt callback.

Referenced by XV_HdmiRx1_SetCallback().

XHdmiC_Aux XV_HdmiRx1::Aux

AUX peripheral information.

Referenced by XV_HdmiRx1_Clear().

XV_HdmiRx1_Callback XV_HdmiRx1::AuxCallback

Callback for AUX event interrupt.

Referenced by XV_HdmiRx1_CfgInitialize(), and XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::AuxRef

To be passed to the AUX interrupt callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::BrdgOverflowCallback

Callback for bridge overflow callback.

Referenced by XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::BrdgOverflowRef

To be passed to the bridge overflow callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Config XV_HdmiRx1::Config

Hardware Configuration.

Referenced by XV_HdmiRx1_CfgInitialize(), XV_HdmiRx1_ClearLinkStatus(), XV_HdmiRx1_ConfigFrlLtpDetection(), XV_HdmiRx1_DdcGetEdidWords(), XV_HdmiRx1_DdcGetHdcpReadMessageBufferWords(), XV_HdmiRx1_DdcGetHdcpWriteMessageBufferWords(), XV_HdmiRx1_DdcIsHdcpReadMessageBufferEmpty(), XV_HdmiRx1_DdcIsHdcpWriteMessageBufferEmpty(), XV_HdmiRx1_DdcLoadEdid(), XV_HdmiRx1_DdcRegDump(), XV_HdmiRx1_DebugInfo(), XV_HdmiRx1_DynHDR_GetInfo(), XV_HdmiRx1_DynHDR_SetAddr(), XV_HdmiRx1_FrlDdcReadField(), XV_HdmiRx1_FrlDdcWriteField(), XV_HdmiRx1_FrlLtpDetectionDisable(), XV_HdmiRx1_FrlLtpDetectionEnable(), XV_HdmiRx1_FrlReset(), XV_HdmiRx1_GetAcrCts(), XV_HdmiRx1_GetAcrN(), XV_HdmiRx1_GetAviColorSpace(), XV_HdmiRx1_GetAviVic(), XV_HdmiRx1_GetFrlActivePixRatio(), XV_HdmiRx1_GetFrlTotalPixRatio(), XV_HdmiRx1_GetGcpColorDepth(), XV_HdmiRx1_GetLinkStatus(), XV_HdmiRx1_GetPatternsMatchStatus(), XV_HdmiRx1_GetTmdsClockRatio(), XV_HdmiRx1_GetVideoProperties(), XV_HdmiRx1_GetVideoTiming(), XV_HdmiRx1_IntrHandler(), XV_HdmiRx1_IsLinkStatusErrMax(), XV_HdmiRx1_RegisterDebug(), XV_HdmiRx1_ResetFrlLtpDetection(), XV_HdmiRx1_SelfTest(), XV_HdmiRx1_SetAxiClkFreq(), XV_HdmiRx1_SetColorFormat(), XV_HdmiRx1_SetFrl10MicroSecondsTimer(), XV_HdmiRx1_SetFrlLtpThreshold(), XV_HdmiRx1_SetFrlRateWrEvent_En(), XV_HdmiRx1_SetHpd(), XV_HdmiRx1_SetPixelRate(), and XV_HdmiRx1_TmrStartMs().

XV_HdmiRx1_Callback XV_HdmiRx1::ConnectCallback

Callback for connect event interrupt.

Referenced by XV_HdmiRx1_CfgInitialize(), and XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::ConnectRef

To be passed to the connect interrupt callback.

Referenced by XV_HdmiRx1_SetCallback().

u8 XV_HdmiRx1::DBMessage

Debug Message for Logs.

XV_HdmiRx1_Callback XV_HdmiRx1::DdcCallback

Callback for PDDC interrupt.

Referenced by XV_HdmiRx1_CfgInitialize(), and XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::DdcRef

To be passed to the DDC interrupt callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::DSCPktErrCallback

Callback for DSC PPS packet error event.

Referenced by XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::DSCPktErrRef

To be passed to DSC PPS packet error event callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::DSCStreamChangeEventCallback

Callback for DSC stream change event.

Referenced by XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::DSCStrmChgEvtRef

To be passed to DSC Stream change event callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::DSCStsUpdtEvtCallback

Callback for SCDC reg 0x10 bit 0 Status_Update bit set from Source event.

Referenced by XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::DSCStsUpdtEvtRef

To be passed to Status_Update bit set event callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::DynHdrCallback

Callback for Dynamic HDR event.

Referenced by XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::DynHdrRef

To be passed to Dynamic HDR event callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::FrlConfigCallback

Callback for sync loss callback.

Referenced by XV_HdmiRx1_CfgInitialize(), and XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::FrlConfigRef

To be passed to the link error callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::FrlLts1Callback

Callback for sync loss callback.

Referenced by XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::FrlLts1Ref

To be passed to the link error callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::FrlLts2Callback

Callback for sync loss callback.

Referenced by XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::FrlLts2Ref

To be passed to the link error callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::FrlLts3Callback

Callback for sync loss callback.

Referenced by XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::FrlLts3Ref

To be passed to the link error callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::FrlLts4Callback

Callback for sync loss callback.

Referenced by XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::FrlLts4Ref

To be passed to the link error callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::FrlLtsLCallback

Callback for sync loss callback.

Referenced by XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::FrlLtsLRef

To be passed to the link error callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::FrlLtsPCallback

Callback for sync loss callback.

Referenced by XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::FrlLtsPRef

To be passed to the link error callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::FrlStartCallback

Callback for sync loss callback.

Referenced by XV_HdmiRx1_CfgInitialize(), and XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::FrlStartRef

To be passed to the link error callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::Hdcp14ProtEvtCallback

Callback for hdcp 1.4 protocol event written on the ddc.

Referenced by XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::Hdcp14ProtEvtRef

To be passed to the hdcp 1.4 protocol event callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::Hdcp22ProtEvtCallback

Callback for hdcp 2.2 protocol event written on the ddc.

Referenced by XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::Hdcp22ProtEvtRef

To be passed to the hdcp 2.2 protocol event callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_HdcpCallback XV_HdmiRx1::HdcpCallback

Callback for hdcp callback.

Referenced by XV_HdmiRx1_CfgInitialize(), and XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::HdcpRef

To be passed to the hdcp callback.

Referenced by XV_HdmiRx1_CfgInitialize(), and XV_HdmiRx1_SetCallback().

u16 XV_HdmiRx1::IsErrorPrintCount

Error Print is completed.

Referenced by XV_HdmiRx1_Clear().

u32 XV_HdmiRx1::IsReady

Core and the driver instance are initialized.

Referenced by XV_HdmiRx1_CfgInitialize(), and XV_HdmiRx1_IntrHandler().

XV_HdmiRx1_Callback XV_HdmiRx1::LinkErrorCallback

Callback for link error callback.

Referenced by XV_HdmiRx1_CfgInitialize(), and XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::LinkErrorRef

To be passed to the link error callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::LnkRdyErrorCallback

Callback for Link Ready Error detection.

Referenced by XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::LnkRdyErrorRef

To be passed to the link ready error callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::LnkStaCallback

Callback for LNKSTA event interrupt.

Referenced by XV_HdmiRx1_CfgInitialize(), and XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::LnkStaRef

To be passed to the LNKSTA interrupt callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::ModeCallback

Callback for sync loss callback.

Referenced by XV_HdmiRx1_CfgInitialize(), and XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::ModeRef

To be passed to the link error callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::PhyResetCallback

Callback for Phy Reset.

Referenced by XV_HdmiRx1_PhyResetPoll(), and XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::PhyResetRef

To be passed to the phy reset callback.

Referenced by XV_HdmiRx1_PhyResetPoll(), and XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::SkewLockErrorCallback

Callback for Skew Lock Error detection.

Referenced by XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::SkewLockErrorRef

To be passed to the skew lock error callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Stream XV_HdmiRx1::Stream

HDMI RX stream information.

Referenced by XV_HdmiRx1_CfgInitialize(), XV_HdmiRx1_Clear(), XV_HdmiRx1_ConfigFrlLtpDetection(), XV_HdmiRx1_ExecFrlState(), XV_HdmiRx1_FrlLinkRetrain(), XV_HdmiRx1_FrlModeEnable(), XV_HdmiRx1_GetVideoProperties(), XV_HdmiRx1_GetVideoTiming(), XV_HdmiRx1_Info(), XV_HdmiRx1_IsStreamConnected(), XV_HdmiRx1_IsStreamScrambled(), XV_HdmiRx1_IsStreamUp(), XV_HdmiRx1_PhyResetPoll(), XV_HdmiRx1_RetrieveFrlRateLanes(), XV_HdmiRx1_SetColorFormat(), XV_HdmiRx1_SetPixelClk(), XV_HdmiRx1_SetPixelRate(), XV_HdmiRx1_SetStream(), and XV_HdmiRx1_UpdateEdFlags().

XV_HdmiRx1_Callback XV_HdmiRx1::StreamDownCallback

Callback for stream down callback.

Referenced by XV_HdmiRx1_CfgInitialize(), XV_HdmiRx1_Clear(), and XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::StreamDownRef

To be passed to the stream down callback.

Referenced by XV_HdmiRx1_Clear(), and XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::StreamInitCallback

Callback for stream init callback.

Referenced by XV_HdmiRx1_CfgInitialize(), and XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::StreamInitRef

To be passed to the stream start callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::StreamUpCallback

Callback for stream up callback.

Referenced by XV_HdmiRx1_CfgInitialize(), and XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::StreamUpRef

To be passed to the stream up callback.

Referenced by XV_HdmiRx1_SetCallback().

XVidC_PixelsPerClock XV_HdmiRx1::SubsysPpc

Subsystem Pixels per clock.

u8 XV_HdmiRx1::SubsysVidIntfc

Video Interface 0 - AXI4S, 1 - Native, 2 - Native DE.

XV_HdmiRx1_Callback XV_HdmiRx1::SyncLossCallback

Callback for sync loss callback.

Referenced by XV_HdmiRx1_CfgInitialize(), and XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::SyncLossRef

To be passed to the link error callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::TmdsClkRatioCallback

Callback for TMDS clock ratio change.

Referenced by XV_HdmiRx1_CfgInitialize(), and XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::TmdsClkRatioRef

To be passed to the TMDS callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::TmdsConfigCallback

Callback for sync loss callback.

Referenced by XV_HdmiRx1_CfgInitialize(), and XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::TmdsConfigRef

To be passed to the link error callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::VfpChangeCallback

Callback for VFP change callback.

Referenced by XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::VfpChangeRef

To be passed to the vfp change callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::VicErrorCallback

Callback for Vic error detection.

Referenced by XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::VicErrorRef

To be passed to the vic error callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiRx1_Callback XV_HdmiRx1::VidRdyErrorCallback

Callback for Video Ready Error detection.

Referenced by XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::VidRdyErrorRef

To be passed to the video ready error callback.

Referenced by XV_HdmiRx1_SetCallback().

XV_HdmiC_VrrInfoFrame XV_HdmiRx1::VrrIF

VRR infoframe SPDIF or VTEM.

Referenced by XV_HdmiRx1_GetVideoTiming(), XV_HdmiRx1_GetVrrIfType(), and XV_HdmiRx1_SetVrrIfType().

XV_HdmiRx1_Callback XV_HdmiRx1::VrrRdyCallback

Callback for VRR ready callback.

Referenced by XV_HdmiRx1_SetCallback().

void* XV_HdmiRx1::VrrRdyRef

To be passed to the VRR ready callback.

Referenced by XV_HdmiRx1_SetCallback().